Package com.usatiuk.objects.iterators

# Class MappingKvIterator<K extends Comparable<K>,V,V_T>

java.lang.Object
com.usatiuk.objects.iterators.MappingKvIterator<K,V,V_T>

All Implemented Interfaces:
  `CloseableKvIterator<K,V_T>`, `AutoCloseable`, `Iterator<org.apache.commons.lang3.tuple.Pair<K,V_T>>`

public class MappingKvIterator<K extends Comparable<K>,V,V_T> extends Object implements CloseableKvIterator<K,V_T>

## Constructor Summary

Constructors
Constructor
Description
`MappingKvIterator(CloseableKvIterator<K,V> backing, Function<V,V_T> transformer)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`boolean`
`hasNext()`
`boolean`
`hasPrev()`
`org.apache.commons.lang3.tuple.Pair<K,V_T>`
`next()`
`K`
`peekNextKey()`
`K`
`peekPrevKey()`
`org.apache.commons.lang3.tuple.Pair<K,V_T>`
`prev()`
`void`
`skip()`
`void`
`skipPrev()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.usatiuk.objects.iterators.CloseableKvIterator

`reversed`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, remove`

## Constructor Details

### MappingKvIterator

public MappingKvIterator(CloseableKvIterator<K,V> backing, Function<V,V_T> transformer)

## Method Details

### peekNextKey

public K peekNextKey()

Specified by:
  `peekNextKey` in interface `CloseableKvIterator<K extends Comparable<K>,V>`

### skip

public void skip()

Specified by:
  `skip` in interface `CloseableKvIterator<K extends Comparable<K>,V>`

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `CloseableKvIterator<K extends Comparable<K>,V>`

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<K extends Comparable<K>>`

### peekPrevKey

public K peekPrevKey()

Specified by:
  `peekPrevKey` in interface `CloseableKvIterator<K extends Comparable<K>,V>`

### prev

public org.apache.commons.lang3.tuple.Pair<K,V_T> prev()

Specified by:
  `prev` in interface `CloseableKvIterator<K extends Comparable<K>,V>`

### hasPrev

public boolean hasPrev()

Specified by:
  `hasPrev` in interface `CloseableKvIterator<K extends Comparable<K>,V>`

### skipPrev

public void skipPrev()

Specified by:
  `skipPrev` in interface `CloseableKvIterator<K extends Comparable<K>,V>`

### next

public org.apache.commons.lang3.tuple.Pair<K,V_T> next()

Specified by:
  `next` in interface `Iterator<K extends Comparable<K>>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`